Subject: Re: linux-next: manual merge of the random tree with the vfs-brauner, ftrace trees

From: Stephen Rothwell <[email-masked]>
Date: Wed, 3 Jul 2024 03:07:32 +1000

Hi Jason,

On Tue, 2 Jul 2024 16:43:17 +0200 "Jason A. Donenfeld" <[email-masked]> wrote:
>
> Hi Stephen,
> 
> On Tue, Jul 2, 2024 at 8:56 AM Stephen Rothwell <[email-masked]> wrote:
> >  +466   n32     removexattrat                   sys_removexattrat
> > ++468   n32     vgetrandom_alloc                sys_vgetrandom_alloc  
> 
> Wondering why 467 was skipped.

It is being used by the uretprobe system call on x86 and asm-generic.

> Also, any chance you can let me keep 463 and shift the others (unless
> Christian objects)? Or does it not really matter anyway because Linus
> is gonna merge this how he wants, separately from what you do in
> -next?

Well, the other new syscalls have been in -next for some time, so I
don't really want to move them (and it would make more work for me :-)).

As you say, Linus will just merge these depending on his own ordering.
However, if you switch to 468/568, then he will probably not change it.
I was also hoping that the uretprobe syscall would change to 467 for
the same reason.
-- 
Cheers,
Stephen Rothwell